<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('START_PATH')) exit;
if(get_active('News'))
{
	$News = new News;
	
	switch(@$_REQUEST['action'])
	{
		case '':
		default :
			$News->displayNews($_REQUEST['newsid']);
	
		break;
		
		case 'updatehitcount':
			define('AJAX_OUTPUT',1);
			$News->Updatehitcount(@$_REQUEST['id']);
		break;
	}
} else {
	notActive();
}
/*
$GLOBALS['tmpl']->assign('row', $News->displayNews($_REQUEST['newsid']));
#$GLOBALS['tmpl']->assign('news', $tmpl->fetch($Source . '/news/news_startpage.tpl'));
$GLOBALS['tmpl']->assign('content', $tmpl->fetch($Source . '/news/shownews.tpl'));
*/
?>